Bug 320526 - akonadiconsole crash
Summary: akonadiconsole crash
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: akonadiconsole (show other bugs)
Version: 0.99
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-31 11:20 UTC by kavol
Modified: 2017-01-07 22:16 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kavol 2013-05-31 11:20:18 UTC
Application: akonadiconsole (0.99)
KDE Platform Version: 4.10.3
Qt Version: 4.8.4
Operating System: Linux 3.9.4-300.fc19.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

I was browsing agent list in akonadiconsole.

I've rightclicked local mail to get options but it got unresponsive - the menu did not appear. So I've tried to close akonadiconsole by clicking the windows close button - at the very same moment the context menu appeared, and akonadiconsole crashed right afterwards.

Note that there is quite a long list of possible duplicates but I wasn't able to find any good similarities, I'd be interested why DrKonqi thinks these should be duplicate ...

-- Backtrace:
Application: Akonadi Console (akonadiconsole), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fdbe37798c0 (LWP 17004))]

Thread 4 (Thread 0x7fdbd7d69700 (LWP 17012)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x0000003fc24c9abd in WTF::TCMalloc_PageHeap::scavengerThread (this=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:2571
#2  0x0000003fc24c9af9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:1767
#3  0x000000366de07c53 in start_thread (arg=0x7fdbd7d69700) at pthread_create.c:308
#4  0x000000366d6f4ecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fdbd6998700 (LWP 17015)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x0000003fc220b3fd in JSC::BlockAllocator::blockFreeingThreadMain (this=0x7fdbd74d2398) at /usr/src/debug/webkit-qtwebkit-23/Source/JavaScriptCore/heap/BlockAllocator.cpp:128
#2  0x0000003fc24f9316 in WTF::wtfThreadEntryPoint (param=0xb18ac0) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/ThreadingPthreads.cpp:196
#3  0x000000366de07c53 in start_thread (arg=0x7fdbd6998700) at pthread_create.c:308
#4  0x000000366d6f4ecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fdbd5585700 (LWP 17083)):
#0  0x000000367168703a in g_mutex_get_impl (mutex=0x7fdb800009e0) at gthread-posix.c:121
#1  0x0000003671687319 in g_mutex_unlock (mutex=mutex@entry=0x7fdb800009e0) at gthread-posix.c:229
#2  0x0000003671647830 in g_main_context_prepare (context=context@entry=0x7fdb800009e0, priority=priority@entry=0x7fdbd5584be8) at gmain.c:3326
#3  0x00000036716480b3 in g_main_context_iterate (context=context@entry=0x7fdb800009e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3681
#4  0x000000367164829c in g_main_context_iteration (context=0x7fdb800009e0, may_block=1) at gmain.c:3762
#5  0x0000003fb39a6cd6 in QEventDispatcherGlib::processEvents (this=0x7fdb80000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x0000003fb3978bdf in QEventLoop::processEvents (this=this@entry=0x7fdbd5584d20, flags=...) at kernel/qeventloop.cpp:149
#7  0x0000003fb3978ed5 in QEventLoop::exec (this=this@entry=0x7fdbd5584d20, flags=...) at kernel/qeventloop.cpp:204
#8  0x0000003fb387862f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#9  0x0000003fb387accf in QThreadPrivate::start (arg=0xcd3140) at thread/qthread_unix.cpp:338
#10 0x000000366de07c53 in start_thread (arg=0x7fdbd5585700) at pthread_create.c:308
#11 0x000000366d6f4ecd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fdbe37798c0 (LWP 17004)):
[KCrash Handler]
#6  0x000000366d635819 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#7  0x000000366d636f28 in __GI_abort () at abort.c:90
#8  0x000000366d675b57 in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x366d77da88 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:196
#9  0x000000366d67cef8 in malloc_printerr (ptr=<optimized out>, str=0x366d77b171 "free(): invalid pointer", action=3) at malloc.c:4916
#10 _int_free (av=0x366d9b9780 <main_arena>, p=<optimized out>, have_lock=0) at malloc.c:3768
#11 0x0000003fb3990388 in QObjectPrivate::deleteChildren (this=this@entry=0xb33d70) at kernel/qobject.cpp:1907
#12 0x0000003fb52140c7 in QWidget::~QWidget (this=0xb33890, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1681
#13 0x0000000000421003 in ~AgentWidget (this=0xb33890, __in_chrg=<optimized out>) at /usr/src/debug/kdepim-4.10.3/akonadiconsole/agentwidget.h:34
#14 AgentWidget::~AgentWidget (this=0xb33890, __in_chrg=<optimized out>) at /usr/src/debug/kdepim-4.10.3/akonadiconsole/agentwidget.h:34
#15 0x0000003fb3990388 in QObjectPrivate::deleteChildren (this=this@entry=0xb29ec0) at kernel/qobject.cpp:1907
#16 0x0000003fb52140c7 in QWidget::~QWidget (this=0xb29e90, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1681
#17 0x0000003fb5609c39 in QStackedWidget::~QStackedWidget (this=0xb29e90, __in_chrg=<optimized out>) at widgets/qstackedwidget.cpp:196
#18 0x0000003fb3990388 in QObjectPrivate::deleteChildren (this=this@entry=0xb29a30) at kernel/qobject.cpp:1907
#19 0x0000003fb52140c7 in QWidget::~QWidget (this=0xb299f0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1681
#20 0x0000003fb7115859 in KTabWidget::~KTabWidget (this=0xb299f0, __in_chrg=<optimized out>) at /usr/src/debug/kdelibs-4.10.3/kdeui/widgets/ktabwidget.cpp:257
#21 0x0000003fb3990388 in QObjectPrivate::deleteChildren (this=this@entry=0xb29550) at kernel/qobject.cpp:1907
#22 0x0000003fb52140c7 in QWidget::~QWidget (this=0xb27580, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1681
#23 0x000000000043ed69 in MainWidget::~MainWidget (this=0xb27580, __in_chrg=<optimized out>) at /usr/src/debug/kdepim-4.10.3/akonadiconsole/mainwidget.cpp:102
#24 0x00000000004408d5 in MainWindow::queryExit (this=0xb9ed90) at /usr/src/debug/kdepim-4.10.3/akonadiconsole/mainwindow.cpp:63
#25 0x0000003fb70f794c in KMainWindow::closeEvent (this=0xb9ed90, e=0x7fffaac62ae0) at /usr/src/debug/kdelibs-4.10.3/kdeui/widgets/kmainwindow.cpp:604
#26 0x0000003fb52174be in QWidget::event (this=this@entry=0xb9ed90, event=event@entry=0x7fffaac62ae0) at kernel/qwidget.cpp:8544
#27 0x0000003fb55cb913 in QMainWindow::event (this=this@entry=0xb9ed90, event=event@entry=0x7fffaac62ae0) at widgets/qmainwindow.cpp:1478
#28 0x0000003fb70f7af1 in KMainWindow::event (this=this@entry=0xb9ed90, ev=ev@entry=0x7fffaac62ae0) at /usr/src/debug/kdelibs-4.10.3/kdeui/widgets/kmainwindow.cpp:1084
#29 0x0000003fb712f579 in KXmlGuiWindow::event (this=0xb9ed90, ev=0x7fffaac62ae0) at /usr/src/debug/kdelibs-4.10.3/kdeui/xmlgui/kxmlguiwindow.cpp:126
#30 0x0000003fb51c846c in QApplicationPrivate::notify_helper (this=0x9fd130, receiver=0xb9ed90, e=0x7fffaac62ae0) at kernel/qapplication.cpp:4562
#31 0x0000003fb51cea30 in QApplication::notify (this=this@entry=0x7fffaac642c0, receiver=receiver@entry=0xb9ed90, e=e@entry=0x7fffaac62ae0) at kernel/qapplication.cpp:4348
#32 0x0000003fb7042f0a in KApplication::notify (this=0x7fffaac642c0, receiver=0xb9ed90, event=0x7fffaac62ae0) at /usr/src/debug/kdelibs-4.10.3/kdeui/kernel/kapplication.cpp:311
#33 0x0000003fb3979f7d in QCoreApplication::notifyInternal (this=0x7fffaac642c0, receiver=receiver@entry=0xb9ed90, event=event@entry=0x7fffaac62ae0) at kernel/qcoreapplication.cpp:949
#34 0x0000003fb5213d09 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:231
#35 QWidgetPrivate::close_helper (this=0xb269c0, mode=QWidgetPrivate::CloseWithSpontaneousEvent) at kernel/qwidget.cpp:7941
#36 0x0000003fb5231c02 in QApplication::x11ClientMessage (this=<optimized out>, w=0xb9ed90, event=<optimized out>, passive_only=<optimized out>) at kernel/qapplication_x11.cpp:5472
#37 0x0000003fb523e56f in QApplication::x11ProcessEvent (this=0x7fffaac642c0, event=event@entry=0x7fffaac62d70) at kernel/qapplication_x11.cpp:3799
#38 0x0000003fb5264be4 in x11EventSourceDispatch (s=s@entry=0x9fecd0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#39 0x0000003671647ea6 in g_main_dispatch (context=0x9fdef0) at gmain.c:3054
#40 g_main_context_dispatch (context=context@entry=0x9fdef0) at gmain.c:3630
#41 0x00000036716481f8 in g_main_context_iterate (context=context@entry=0x9fdef0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#42 0x000000367164829c in g_main_context_iteration (context=0x9fdef0, may_block=1) at gmain.c:3762
#43 0x0000003fb39a6cb5 in QEventDispatcherGlib::processEvents (this=0x9b9130, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#44 0x0000003fb5264d56 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#45 0x0000003fb3978bdf in QEventLoop::processEvents (this=this@entry=0x7fffaac63160, flags=...) at kernel/qeventloop.cpp:149
#46 0x0000003fb3978ed5 in QEventLoop::exec (this=this@entry=0x7fffaac63160, flags=...) at kernel/qeventloop.cpp:204
#47 0x0000003fb55f23c7 in QMenu::exec (this=this@entry=0x7fffaac63420, p=..., action=action@entry=0x0) at widgets/qmenu.cpp:2125
#48 0x000000000042090f in AgentWidget::showContextMenu (this=0xb33890, pos=...) at /usr/src/debug/kdepim-4.10.3/akonadiconsole/agentwidget.cpp:418
#49 0x0000003fb398dadc in QMetaObject::activate (sender=sender@entry=0xbd71f0, m=m@entry=0x3fb5c694e0 <QWidget::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffaac63570) at kernel/qobject.cpp:3539
#50 0x0000003fb5209d72 in QWidget::customContextMenuRequested (this=this@entry=0xbd71f0, _t1=...) at .moc/release-shared/moc_qwidget.cpp:373
#51 0x0000003fb5217c97 in QWidget::event (this=0xbd71f0, event=0x7fffaac63730) at kernel/qwidget.cpp:8556
#52 0x0000003fb51c846c in QApplicationPrivate::notify_helper (this=0x9fd130, receiver=0xbd71f0, e=0x7fffaac63730) at kernel/qapplication.cpp:4562
#53 0x0000003fb51cf790 in QApplication::notify (this=this@entry=0x7fffaac642c0, receiver=receiver@entry=0xb38080, e=e@entry=0x7fffaac63950) at kernel/qapplication.cpp:4184
#54 0x0000003fb7042f0a in KApplication::notify (this=0x7fffaac642c0, receiver=0xb38080, event=0x7fffaac63950) at /usr/src/debug/kdelibs-4.10.3/kdeui/kernel/kapplication.cpp:311
#55 0x0000003fb3979f7d in QCoreApplication::notifyInternal (this=0x7fffaac642c0, receiver=0xb38080, event=0x7fffaac63950) at kernel/qcoreapplication.cpp:949
#56 0x0000003fb523f710 in QETWidget::translateMouseEvent (this=0xbd71f0, event=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:234
#57 0x0000003fb523e12c in QApplication::x11ProcessEvent (this=0x7fffaac642c0, event=event@entry=0x7fffaac63c90) at kernel/qapplication_x11.cpp:3660
#58 0x0000003fb5264be4 in x11EventSourceDispatch (s=s@entry=0x9fecd0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:148
#59 0x0000003671647ea6 in g_main_dispatch (context=0x9fdef0) at gmain.c:3054
#60 g_main_context_dispatch (context=context@entry=0x9fdef0) at gmain.c:3630
#61 0x00000036716481f8 in g_main_context_iterate (context=context@entry=0x9fdef0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#62 0x000000367164829c in g_main_context_iteration (context=0x9fdef0, may_block=1) at gmain.c:3762
#63 0x0000003fb39a6cb5 in QEventDispatcherGlib::processEvents (this=0x9b9130, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#64 0x0000003fb5264d56 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#65 0x0000003fb3978bdf in QEventLoop::processEvents (this=this@entry=0x7fffaac64070, flags=...) at kernel/qeventloop.cpp:149
#66 0x0000003fb3978ed5 in QEventLoop::exec (this=this@entry=0x7fffaac64070, flags=...) at kernel/qeventloop.cpp:204
#67 0x0000003fb397dfbb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#68 0x0000003fb51c6c2c in QApplication::exec () at kernel/qapplication.cpp:3823
#69 0x000000000041933a in main (argc=1, argv=<optimized out>) at /usr/src/debug/kdepim-4.10.3/akonadiconsole/main.cpp:62

Possible duplicates by query: bug 320344, bug 320128, bug 319465, bug 318653, bug 318507.

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 20:36:18 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 22:16:15 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.